'                                                                  
' Copyright  2013 Lidor Systems.
' All Rights Reserved.
'
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied.                        
'

Imports System.IO

Public Class Form1

#Region "Variables"
    Private Const referencePath As [String] = "../../../Demo/"
#End Region

#Region "Initialization"
    Public Sub New()
        InitializeComponent()

        CreateLabelContent()
    End Sub

    Private Sub CreateLabelContent()
        Dim content As [String] = "<div style=""font:Verdana,9,r""><p>   In this sample we are showing how to limit tab header width for longer titles and also we are presenting available display modes.</p><br></br>"
        content += "<p>   To cut the text length for we are using the <b>MaxTextSize</b> property from which width is used when content of tab header is horizontally oriented, and the height value when it is vertically oriented.</p><br></br>"
        content += "<p>   Additionaly there are three different display modes to choose from:<br></br>"
        content += "<b>      AutoSized</b> - tab header size is automatically resized to fully show its content which usually includes image and text<br></br>"
        content += "<b>      Compressed</b> - tab header shows image and text only for selected tab, all other tabs are shown with only an image<br></br>"
        content += "<b>      Justified</b> - tab header is resized to fully show its content and if there is some remaining space from tab strip, it is divided among visible tabs<br></br></p>"
        content += "<p><table width=""100%"" cellpadding=""5""><tr height=""5""></tr>"
        content += "<tr><td width=""70%"" style=""textcolor:DarkRed;hovertextcolor:Red""><a href=""QuickStart.exe"" id=""FILE"">Quick Start</a></td>"
        content += "<td width=""30%"" style=""align:middleright;textcolor:DarkRed;hovertextcolor:Red""><a href=""www.lidorsystems.com/support/articles/winforms/tabcontrol/"">More Info ...</a></td></tr></table></p>"
        content += "</div>"

        Me.labelInfo.Content = content
    End Sub

    Private Sub labelInfo_ContentObjectClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles labelInfo.ContentObjectClicked
        If TypeOf e.[Object] Is LinkLabel Then
            Dim relativePath As [String] = TryCast(e.[Object], LinkLabel).Links(0).LinkData.ToString()

            If e.Key = "FILE" Then
                Dim appPath As [String] = Path.GetFullPath(Path.Combine(referencePath, relativePath))
                If File.Exists(appPath) Then
                    System.Diagnostics.Process.Start(appPath)
                ElseIf File.Exists(relativePath) Then
                    System.Diagnostics.Process.Start(relativePath)
                End If
            Else
                System.Diagnostics.Process.Start(relativePath)

            End If
        End If
    End Sub
#End Region

#Region "Functionality"
    Private Sub numWidth_ValueChanged(ByVal sender As Object, ByVal e As EventArgs) Handles numWidth.ValueChanged
        ' Determines the maximum width and height of tab header
        Me.tabControl1.MaxTextSize = New Size(CInt(numWidth.Value), CInt(numWidth.Value))
    End Sub

    Private Sub Orientation_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles rbHorizontal.CheckedChanged, rbVertical.CheckedChanged
        If rbHorizontal.Checked Then
            Me.tabControl1.TabContentOrientation = Orientation.Horizontal
        ElseIf rbVertical.Checked Then
            Me.tabControl1.TabContentOrientation = Orientation.Vertical
        End If
    End Sub

    Private Sub btnApply_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnApply.Click
        ' Tab headers are auto-sized to fit its content
        If rbAutoSized.Checked Then
            Me.tabControl1.TabMode = LidorSystems.IntegralUI.Containers.TabMode.AutoSized
            ' Tab headers show full content only for selected tab, other tabs show only their image
        ElseIf rbCompressed.Checked Then
            Me.tabControl1.TabMode = LidorSystems.IntegralUI.Containers.TabMode.Compressed
            ' Tab headers are resized to fit their content size and if there is available space in tab strip
            ' it is evenly duistributed among all visible tabs
        ElseIf rbJustified.Checked Then
            Me.tabControl1.TabMode = LidorSystems.IntegralUI.Containers.TabMode.Justified
        End If
    End Sub
#End Region

End Class
